from django.conf.urls import url, include
from rest_framework import routers
from billard import views

router = routers.DefaultRouter()
router.register(r'clients', views.ClientViewSet)
router.register(r'locations', views.LocationViewSet)
router.register(r'tables', views.TableViewSet)
router.register(r'location_data', views.LocationDataViewSet)

urlpatterns = [
    url(r'^$', views.IndexView.as_view(), name='index'),
    url(r'^(?P<pk>[0-9]+)/$', views.LocationDataDetailView.as_view(), name='detail'),
    url(r'api/v1/', include(router.urls)),
]
